> ## Documentation Index > Fetch the complete documentation index at: https://documents.revenova.com/llms.txt > Use this file to discover all available pages before exploring further. # Updates the Outbound EDI Transaction Processing Status, and relays error messages back to the Revenova TMS > PATCH endpoint for updating the processing status of outbound EDI Transactions. By default, the system assumes successful processing for an outbound message, unless autoMarkAsSuccess is passed into the GET endpoint. Call the PATCH endpoint to keep the transaction status up-to-date with actual processing status. If there is a failure in processing seen by the EDI Provider, the PATCH endpoint marks the EDI transaction with a required failure message. ## OpenAPI ````json PATCH /services/apexrest/rtms/ediService { "openapi": "3.0.4", "info": { "title": "Revenova TMS EDI API", "version": "TMS Winter 26 - 7.22", "contact": { "name": "Revenova, LLC", "email": "help@revenova.com" } }, "servers": [ { "url": "https://{client_base_url}.my.salesforce.com", "description": "Salesforce org URL for the client", "variables": { "client_base_url": { "default": "client_base_url" } } } ], "paths": { "/services/apexrest/rtms/ediService": { "patch": { "summary": "Updates the Outbound EDI Transaction Processing Status, and relays error messages back to the Revenova TMS", "description": "PATCH endpoint for updating the processing status of outbound EDI Transactions. By default, the system assumes successful processing for an outbound message, unless autoMarkAsSuccess is passed into the GET endpoint. Call the PATCH endpoint to keep the transaction status up-to-date with actual processing status. If there is a failure in processing seen by the EDI Provider, the PATCH endpoint marks the EDI transaction with a required failure message.", "tags": [ "EDI" ], "security": [ { "OAuth2ClientCredentials": [] } ], "operationId": "patchEdiTransactionStatuses", "requestBody": { "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object", "required": [ "ediTransactionId", "status" ], "properties": { "ediTransactionId": { "type": "string", "example": "a19E2000005sxOPIAY" }, "status": { "type": "string", "enum": [ "Pending", "Success", "Failure" ], "example": "Failure" }, "failureMessage": { "type": "string", "example": "Deserialization Error - invalid field shipmentId" } } } } } } }, "responses": { "204": { "description": "Valid authentication, valid patch requests, no errors" }, "400": { "description": "Patch operation payload does not pass validation", "content": { "text/plain": { "schema": { "type": "string" }, "examples": { "ediTransactionRequired": { "summary": "EDI Transaction ID is required", "value": "Bad request: EDI Transaction is required" }, "unsupportedStatus": { "summary": "Status is not one of the available options we support", "value": "Bad request: Status provided \"\" is not a supported EDI Transaction Status (Pending, Success, Failure)" }, "badPayload": { "summary": "Payload does not match expected request model", "value": "Bad request: Could not deserialize request" } } } } }, "401": { "description": "Unauthorized credentials. Provided by Salesforce.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Description of the error", "example": "Session expired or invalid" }, "errorcode": { "type": "string", "description": "Unique ID for the error", "example": "INVALID_SESSION_ID" } } } } } }, "403": { "description": "Forbidden User.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Description of the error", "example": "You do not have access to the Apex class named: EDIService" }, "errorcode": { "type": "string", "description": "Unique ID for the error", "example": "FORBIDDEN" } } } }, "text/plain": { "schema": { "type": "string" }, "examples": { "invalidContextUser": { "summary": "The context user set up in the connected app doesn't match any of the edi provider context users in TMS Admin, check setup.", "value": "Forbidden: Invalid EDI Context User" }, "nonMatchingProvider": { "summary": "The edi transaction whose status is attempted to be patched is not for the provider identified in authentication", "value": "Forbidden: EDI Transaction does not match provider" } } } } }, "500": { "description": "Catchall for any unexpected errors encountered when trying to queue edi events", "content": { "text/plain": { "schema": { "type": "string", "example": "Internal Server Error" } } } }, "503": { "description": "EDI Rest API isn't enabled in TMS Admin", "content": { "text/plain": { "schema": { "type": "string", "example": "Service Unavailable: Rest API not enabled for EDI in TMS Admin" } } } } } } } }, "components": { "securitySchemes": { "OAuth2ClientCredentials": { "type": "oauth2", "description": "OAuth 2.0 Client Credentials flow for server-to-server communication.", "flows": { "clientCredentials": { "tokenUrl": "/services/oauth2/token", "scopes": {} } } } } } } ````